FreeMat

- Main Page
- Related Pages

vtkStructuredGridOutlineFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkStructuredGridOutlineFilter is a filter that generates a wireframe outline of a structured grid (vtkStructuredGrid). Structured data is topologically a cube, so the outline will have 12 "edges".

To create an instance of class vtkStructuredGridOutlineFilter, simply invoke its constructor as follows

      obj = vtkStructuredGridOutlineFilter

# Methods

The class vtkStructuredGridOutlineFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredGridOutlineFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredGridOutlineFilter = obj.NewInstance ()`
- `vtkStructuredGridOutlineFilter = obj.SafeDownCast (vtkObject o)`